
# 基本数据类型

在编程中，基本数据类型用于表示不同类型的数值和字符，是编写程序的基础。常见的基本数据类型包括：

## · 整数型：`int`、`long long`
- 用于表示整数值。
- `int` 通常用于表示较小范围的整数。
- `long long` 用于表示更大范围的整数，尤其是在处理大数计算时常用。

## · 实数型：`float`、`double`
- 用于表示带小数点的实数。
- `float` 表示单精度浮点数，精度较低，占用内存较小。
- `double` 表示双精度浮点数，精度更高，占用内存更大，适合科学计算。

## · 字符型：`char`
- 用于存储单个字符，如 `'A'`、`'b'`、`'1'`。
- 本质上是一个整数类型，通常占用 1 字节空间，对应 ASCII 编码表。

## · 布尔型：`bool`
- 用于表示逻辑值：`true`（真）或 `false`（假）。
- 常用于条件判断、控制程序流程。

